For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/program/payout‑changes

get

Get payout changes for program

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
programidintegerRequired
change_typeintegerOptional
siteidintegerOptional
touridintegerOptional
countrystringOptional
loginidintegerOptional
usernamestringOptional
change_orderintegerOptional
startintegerOptional
countintegerOptional
Responses
200

success

successbooleanOptionalExample: true
get/api/program/payout-changes
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'programid' => 1,
		'change_type' => 1,
		'country' => 'USA',
		'loginid' => 1,
		'change_order' => 1
	);

$request = array(
	'method' => 'GET',
	'path' => 'program/payout-changes',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "payout_changes": [
    {
      "payouts": [
        {
          "id": 0,
          "field": "Raw",
          "pre": "$",
          "post": "",
          "value": "10.00",
          "max": "10.00",
          "min": "10.00",
          "change": "increase",
          "default": "0.00"
        },
        {
          "id": 1,
          "field": "Unq",
          "pre": "$",
          "post": "",
          "value": "10.00",
          "max": "10.00",
          "min": "10.00",
          "change": "increase",
          "default": "0.00"
        },
        {
          "id": 2,
          "field": "Qual",
          "pre": "$",
          "post": "",
          "value": "10.00",
          "max": "10.00",
          "min": "10.00",
          "change": "increase",
          "default": "0.00"
        },
        {
          "id": 3,
          "field": "$ Join",
          "pre": "$",
          "post": "",
          "value": "10.00",
          "max": "10.00",
          "min": "10.00",
          "change": "increase",
          "default": "0.00"
        },
        {
          "id": 4,
          "field": "$ Rebill",
          "pre": "$",
          "post": "",
          "value": "20.00",
          "max": "20.00",
          "min": "20.00",
          "change": "increase",
          "default": "0.00"
        },
        {
          "id": 5,
          "field": "$ Active",
          "pre": "$",
          "post": "",
          "value": "5.00",
          "max": "5.00",
          "min": "5.00",
          "change": "increase",
          "default": "0.00"
        },
        {
          "id": 6,
          "field": "% Join",
          "pre": "",
          "post": "%",
          "value": "2.00",
          "max": "2.00",
          "min": "2.00",
          "change": "decrease",
          "default": "50.00"
        },
        {
          "id": 7,
          "field": "% Rebill",
          "pre": "",
          "post": "%",
          "value": "1.00",
          "max": "1.00",
          "min": "1.00",
          "change": "decrease",
          "default": "50.00"
        },
        {
          "id": 8,
          "field": "% Dialer",
          "pre": "",
          "post": "%",
          "value": "0.00",
          "max": "0.00",
          "min": "0.00",
          "change": "none",
          "default": "0.00"
        },
        {
          "id": 9,
          "field": "NCR",
          "pre": "$",
          "post": "",
          "value": "0.00",
          "max": "0.00",
          "min": "0.00",
          "change": "none",
          "default": "0.00"
        },
        {
          "id": 10,
          "field": "Third Reg",
          "pre": "$",
          "post": "",
          "value": "0.00",
          "max": "0.00",
          "min": "0.00",
          "change": "none",
          "default": "0.00"
        },
        {
          "id": 11,
          "field": "% Active",
          "pre": "",
          "post": "%",
          "value": "0.00",
          "max": "0.00",
          "min": "0.00",
          "change": "decrease",
          "default": "50.00"
        }
      ],
      "start_time": "1565382569",
      "change_type": "1",
      "change_type_nice": "Standard Change",
      "start_time_nice": "2019-08-09 16:29:29",
      "end_time_nice": "Never",
      "end_time": "0",
      "additionalPayoutChanges": {
        "Processing Type(s)": {
          "-1": "All"
        }
      },
      "change_order": 1,
      "targets": {
        "affiliates": [
          {
            "id": 0,
            "name": "All"
          }
        ],
        "sites": [
          {
            "id": 0,
            "name": "All"
          }
        ],
        "programs": [
          {
            "id": 1,
            "name": {
              "programid": "1",
              "program": "50rev",
              "hidden": "0",
              "type": "0",
              "name": "50% Revshare",
              "extended_payout": "",
              "max_ratio": "0",
              "fallbackid": "0",
              "addstr": "",
              "deleted": "0",
              "abi_paycom_prefix": "",
              "abi_paycom_perc": "0",
              "deduct_credits": "0",
              "deduct_chargebacks": "0",
              "deduct_voids": "0",
              "deduct_insufficient": "0",
              "verify_hash": "0",
              "verify_initial": "0",
              "retro_payout": "0",
              "hide_rebills": "0",
              "hide_joins": "0",
              "system": "",
              "system_key_field": "",
              "system_key": "",
              "coupon_code": "",
              "description": "",
              "thumb": "",
              "thumb_ext": "",
              "import_program": "0",
              "ccbillid": "0",
              "enabled": 1
            }
          }
        ],
        "tours": [
          {
            "id": 0,
            "name": "All"
          }
        ],
        "options": [
          {
            "id": 0,
            "name": "All"
          }
        ],
        "billers": [
          {
            "id": 0,
            "name": "All",
            "nice_name": "All"
          }
        ],
        "countries": [
          {
            "id": 0,
            "name": "All"
          }
        ]
      },
      "additional_targets": [
        {
          "target": "process_type",
          "name": "Processing Type(s)",
          "values": [
            {
              "id": -1,
              "name": "All"
            }
          ]
        }
      ],
      "status": "active"
    }
  ]
}

Last updated

Was this helpful?